Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface CustomUpdater

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, DBCommand, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Updater

    public interface CustomUpdater

extends Updater

A representation of the model object 'Custom Updater'. Operazione di aggiornamento dati altamente personalizzabile, tramite scrittura di codice custom. E' utile, ad esempio, nel caso si debbano realizzare delle operazioni di aggiornamento di un insieme di righe e non di una singola riga identificata da PK.

The following features are supported:

- `Filter Class FQN`
- `Value Class FQN`

See Also:
  `DatagenPackage.getCustomUpdater()`

Method Summary
`java.lang.String` | `getFilterClassFQN()` Returns the value of the 'Filter Class FQN' attribute
`java.lang.String` | `getValueClassFQN()` Returns the value of the 'Value Class FQN' attribute
`void` | `setFilterClassFQN(java.lang.String value)` Sets the value of the '`Filter Class FQN`' attribute
`void` | `setValueClassFQN(java.lang.String value)` Sets the value of the '`Value Class FQN`' attribute

Methods inherited from interface it.csi.mddtools.datagen.DBCommand
`getName, setName`

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFilterClassFQN

    java.lang.String getFilterClassFQN()

  Returns the value of the 'Filter Class FQN' attribute. Full qualified name della classe che deve essere utilizzata come primo parametro di input per il finder. Serve per determinare l'inisieme di righe su cui operare la modifica Possibili valori:
  - Se non si specifica la proiprietà la classe utilizzata sarà java.lang.Object.
  - Se il valore specificato è $dto, sarà utilizzata la classe del dto associato.
  - Se il valore specificato è $dto[], sarà utilizzata una ArrayList costituita da oggetti del tipo del dto associato.

  Returns:
    the value of the 'Filter Class FQN' attribute.
  See Also:
    `setFilterClassFQN(String)`, `DatagenPackage.getCustomUpdater_FilterClassFQN()`

### setFilterClassFQN

    void setFilterClassFQN(java.lang.String value)

  Sets the value of the '`Filter Class FQN`' attribute.

  Parameters:
    `value` - the new value of the 'Filter Class FQN' attribute.
  See Also:
    `getFilterClassFQN()`

### getValueClassFQN

    java.lang.String getValueClassFQN()

  Returns the value of the 'Value Class FQN' attribute. Full qualified name della classe che deve essere utilizzata come secondo parametro parametro di input per l'updater. Serve per specificare i valori da impostare Possibili valori:
  - Se non si specifica la proiprietà la classe utilizzata sarà java.lang.Object.
  - Se il valore specificato è $dto, sarà utilizzata la classe del dto associato.
  - Se il valore specificato è $dto[], sarà utilizzata una ArrayList costituita da oggetti del tipo del dto associato.

  Returns:
    the value of the 'Value Class FQN' attribute.
  See Also:
    `setValueClassFQN(String)`, `DatagenPackage.getCustomUpdater_ValueClassFQN()`

### setValueClassFQN

    void setValueClassFQN(java.lang.String value)

  Sets the value of the '`Value Class FQN`' attribute.

  Parameters:
    `value` - the new value of the 'Value Class FQN' attribute.
  See Also:
    `getValueClassFQN()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD